OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne, Lars Corbijn 2011-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.FramebufferObjects.Attachments

Description

# Documentation

data FramebufferObjectAttachment

Constructors

ColorAttachment !GLuint |
DepthAttachment |
StencilAttachment |
DepthStencilAttachment |

Instances

Eq FramebufferObjectAttachment |
Ord FramebufferObjectAttachment |
Show FramebufferObjectAttachment |
FramebufferAttachment FramebufferObjectAttachment |

fboaToBufferMode :: FramebufferObjectAttachment -> Maybe BufferMode

fboaFromBufferMode :: BufferMode -> Maybe FramebufferObjectAttachment

class Show a => FramebufferAttachment a where

Methods

marshalAttachment :: a -> Maybe GLenum

unmarshalAttachment :: GLenum -> a

unmarshalAttachmentSafe :: GLenum -> Maybe a

Instances

FramebufferAttachment BufferMode |
FramebufferAttachment FramebufferObjectAttachment |

framebufferRenderbuffer :: FramebufferTarget -> FramebufferObjectAttachment -> RenderbufferTarget -> RenderbufferObject -> IO ()

framebufferTexture1D :: FramebufferTarget -> FramebufferObjectAttachment -> TextureTarget1D -> TextureObject -> Level -> IO ()

framebufferTexture2D :: FramebufferTarget -> FramebufferObjectAttachment -> TextureTarget2D -> TextureObject -> Level -> IO ()

framebufferTexture3D :: FramebufferTarget -> FramebufferObjectAttachment -> TextureTarget3D -> TextureObject -> Level -> GLint -> IO ()

framebufferTextureLayer :: FramebufferTarget -> FramebufferObjectAttachment -> TextureObject -> Level -> GLint -> IO ()